Error with performupgrade step in 3.2.5 upgrade

When things don't work as they should.
Post Reply
mayanvic
Posts: 14
Joined: Thu Aug 23, 2018 4:27 pm

Error with performupgrade step in 3.2.5 upgrade

Post by mayanvic » Mon Jul 08, 2019 12:47 am

Hi - I am getting the below stack trace when trying to upgrade my DB from 3.1.11

I have added the mayan.apps. prefix to the lines in my config.yml but still get the same error?

Any ideas?

thanks
Victor


(mayan-edms) root@sjc1-mayan01:/var/log/supervisor# mayan-edms.py performupgrade
Traceback (most recent call last):
File "/usr/share/mayan-edms/bin/mayan-edms.py", line 10, in <module>
execute_from_command_line(sys.argv)
File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 364, in execute_from_command_line
utility.execute()
File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 356, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/core/management/__init__.py", line 194, in fetch_command
settings.INSTALLED_APPS
File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/conf/__init__.py", line 56, in __getattr__
self._setup(name)
File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/conf/__init__.py", line 41, in _setup
self._wrapped = Settings(settings_module)
File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/conf/__init__.py", line 110, in __init__
mod = importlib.import_module(self.SETTINGS_MODULE)
File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module
__import__(name)
File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/mayan/settings/__init__.py", line 3, in <module>
from .base import * # NOQA
File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/mayan/settings/base.py", line 378, in <module>
'Update the app references in the file config.yml as detailed '
django.core.exceptions.ImproperlyConfigured: Update the app references in the file config.yml as detailed in https://docs.mayan-edms.com/releases/3. ... le-changes
Last edited by mayanvic on Mon Jul 08, 2019 2:55 am, edited 1 time in total.

mayanvic
Posts: 14
Joined: Thu Aug 23, 2018 4:27 pm

Re: Error with performupgrade step in 3.2.5 upgrade

Post by mayanvic » Mon Jul 08, 2019 2:55 am

Issued resolved... I just removed the old config.yml and had a fresh one created. All upgraded smoothly after that.

regards,
Victor

mayanvic
Posts: 14
Joined: Thu Aug 23, 2018 4:27 pm

Re: Error with performupgrade step in 3.2.5 upgrade

Post by mayanvic » Fri Jul 19, 2019 12:05 am

Found another issue after upgrading and trying to add my watch folder sources back.

Getting the below error in my logs.

I think my schema is missing the new option, include_subdirectories.

regards,
Victor

File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/db/models/query.py", line 667, in _update
return query.get_compiler(self.db).execute_sql(CURSOR)
File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/db/models/sql/compiler.py", line 1204, in execute_sql
cursor = super(SQLUpdateCompiler, self).execute_sql(result_type)
File "/usr/share/mayan-edms/local/lib/python2.7/site-packages/django/db/models/sql/compiler.py", line 899, in execute_sql
raise original_exception
ProgrammingError: column "include_subdirectories" of relation "sources_watchfoldersource" does not exist
LINE 1: ...ce" SET "folder_path" = '/scans/invoices/Outbox', "include_s...

mayanvic
Posts: 14
Joined: Thu Aug 23, 2018 4:27 pm

Re: Error with performupgrade step in 3.2.5 upgrade

Post by mayanvic » Fri Jul 19, 2019 7:02 pm

OK second issue fixed after checking DB schema. Looks like the performupgrade actually failed originally.
I reran it and watched the schema update so now all good after bringing mayan back up.

Victor

User avatar
rosarior
Posts: 387
Joined: Tue Aug 21, 2018 3:28 am

Re: Error with performupgrade step in 3.2.5 upgrade

Post by rosarior » Mon Jul 22, 2019 6:09 am

Thanks for the update and for sharing the steps to fix your issues!

Post Reply